Skip to main content
GET
/
api
/
v1
/
accounts
/
{accountId}
/
projects
/
{projectId}
/
gpu-clusters
/
{externalId}
Get GPU cluster
curl --request GET \
  --url https://api.example.com/api/v1/accounts/{accountId}/projects/{projectId}/gpu-clusters/{externalId}
{
  "cluster": {
    "id": "<string>",
    "name": "<string>",
    "status": "<string>",
    "account_id": "<string>",
    "project_id": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "metadata": "<string>",
    "resources": [
      {
        "external_id": "<string>",
        "name": "<string>",
        "resource_type": "<string>",
        "status": "<string>",
        "created_at": "2023-11-07T05:31:56Z",
        "primary_ip": "<string>"
      }
    ]
  },
  "message": "<string>"
}

Headers

x-account-id
string

Path Parameters

accountId
string
required
projectId
string
required
externalId
string
required

Response

OK

cluster
object
required
message
string
required